Package org.bedework.synch.wsmessages

# Class SubscribeResponseType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.BaseResponseType
org.bedework.synch.wsmessages.SubscribeResponseType

public class SubscribeResponseType extends BaseResponseType
Response to message from service requesting new subscription.

Java class for SubscribeResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SubscribeResponseType">
       <complexContent>
         <extension base="{http://docs.oasis-open.org/ws-calendar/ns/soap}BaseResponseType">
           <sequence>
             <element name="subscriptionId" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `subscriptionId`

  ### Fields inherited from class org.oasis_open.docs.ws_calendar.ns.soap.BaseResponseType

  `errorResponse, id, message, status`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubscribeResponseType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getSubscriptionId()`
  Gets the value of the subscriptionId property.
  `void`
  `setSubscriptionId(String value)`
  Sets the value of the subscriptionId property.

  ### Methods inherited from class org.oasis_open.docs.ws_calendar.ns.soap.BaseResponseType

  `getErrorResponse, getId, getMessage, getStatus, setErrorResponse, setId, setMessage, setStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### subscriptionId

    protected String subscriptionId

- ## Constructor Details

  - ### SubscribeResponseType

    public SubscribeResponseType()

- ## Method Details

  - ### getSubscriptionId

    public String getSubscriptionId()
    Gets the value of the subscriptionId property.
    Returns:
      possible object is `String`

  - ### setSubscriptionId

    public void setSubscriptionId(String value)
    Sets the value of the subscriptionId property.
    Parameters:
      `value` - allowed object is `String`